This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 142792 - POSIX needs support for thread and process CPU time clocks in clock_* and timer_* syscalls
POSIX needs support for thread and process CPU time clocks in clock_* and tim...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
: FutureFeature
Depends On:
Blocks: FC4Target 142790 142791
  Show dependency treegraph
 
Reported: 2004-12-13 23:15 EST by Roland McGrath
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 03:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch posted upstream for clock_* calls to support CPU clocks (22.51 KB, patch)
2004-12-13 23:15 EST, Roland McGrath
no flags Details | Diff
patch posted upstream to add CPU clock support to timer_* syscalls (51.51 KB, patch)
2004-12-13 23:16 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2004-12-13 23:15:22 EST
Description of problem:
The kernel's clock_* and timer_* interfaces need to be extended to support
clocks and timers tracking the CPU time used by processes and threads.
This is required for proper implementation of the _POSIX_CPUTIME and
_POSIX_THREAD_CPUTIME options at user-level.


Version-Release number of selected component (if applicable):
2.6.9


Additional info:

Tracking bug for upstream work.
Comment 1 Roland McGrath 2004-12-13 23:15:22 EST
Created attachment 108494 [details]
patch posted upstream for clock_* calls to support CPU clocks
Comment 2 Roland McGrath 2004-12-13 23:16:38 EST
Created attachment 108495 [details]
patch posted upstream to add CPU clock support to timer_* syscalls

This patch follows on the cpuclocks patch to add the timer part of the support.
Comment 3 Roland McGrath 2005-03-12 23:14:06 EST
My changes are in Linus's tree now, hopefully in 2.6.12  
Comment 4 Roland McGrath 2005-04-23 21:11:00 EDT
Rawhide 2.6.12rcN kernels have this.
Comment 5 Roland McGrath 2005-08-09 03:04:13 EDT
All good in FC4.

Note You need to log in before you can comment on or make changes to this bug.